unit FontViewer;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Grids;

type
  TKeyMapping = class(TForm)
    CharTab: TStringGrid;
    FontBtn: TButton;
    Preview: TLabel;
    Label1: TLabel;
    AltPlus: TLabel;
    FontDialog: TFontDialog;
    Bevel1: TBevel;
    ExitBtn: TButton;
    procedure FontBtnClick(Sender: TObject);
    procedure CharTabClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ExitBtnClick(Sender: TObject);
  private
    { Private declarations }
    procedure Refresh;
  public
    { Public declarations }
  end;

var
  KeyMapping: TKeyMapping;

implementation

{$R *.DFM}

procedure TKeyMapping.Refresh;
var i: byte;
begin
  for i:=0 to 255 do
    CharTab.Cells[(i mod 16)+1, (i div 16) +1]:= Chr(i);
end;

procedure TKeyMapping.FontBtnClick(Sender: TObject);
begin
  If FontDialog.Execute then begin
    Preview.Font.Name:= FontDialog.Font.Name;
    CharTab.Font.Name:= FontDialog.Font.Name;
  end;
  Refresh;
end;

procedure TKeyMapping.CharTabClick(Sender: TObject);
begin
  Preview.Caption:= CharTab.Cells[CharTab.Col, CharTab.Row];
  AltPlus.Caption:= IntToStr((CharTab.Col-1) + ((CharTab.Row -1)*16));
end;

procedure TKeyMapping.FormCreate(Sender: TObject);
var i: byte;
begin
  for i:=0 to 15 do begin
    CharTab.Cells[i+1, 0]:= IntToHex(i, 2);
    CharTab.Cells[0, i+1]:= IntToHex(i, 2);
  end;
  Refresh;
end;

procedure TKeyMapping.ExitBtnClick(Sender: TObject);
begin
  Close;
end;

end.
